# Created by pyp2rpm-3.3.2
%global pypi_name pywavelets

%bcond_with    check
%bcond_with docs

Name:           python-%{pypi_name}
Version:        1.8.0
Release:        %mkrel 1
Summary:        Python wavelet module
Group:          Development/Python
License:        None
URL:            https://pypi.org/project/PyWavelets/
Source0:        %{pypi_source}
Patch1:         pywavelets-linking.patch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-numpy-devel

# Documentation requirements
%if %{with docs}
BuildRequires:  python3-pygments
BuildRequires:  python3-sphinx
BuildRequires:  python3-numpydoc
BuildRequires:  python3-matplotlib
# TODO python3dist(jupytext) python3dist(jupyterlite-core) python3dist(jupyterlite-sphinx)
%endif

%if %{with check}
BuildRequires:  python3-pytest
%endif

%description
PyWavelets is a Python wavelet transforms module that can do:

  * 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
  * 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
  * 1D and 2D Wavelet Packet decomposition and reconstruction
  * Computing Approximations of wavelet and scaling functions
  * Over seventy built-in wavelet filters and support for custom wavelets
  * Single and double precision calculations
  * Results compatibility with Matlab Wavelet Toolbox

%package -n     python3-%{pypi_name}
Summary:        Python 3 wavelet module
Group:          Development/Python
Provides:       python3-pywt = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-pywavelets-doc < 1.5.0-2

%description -n python3-%{pypi_name}
PyWavelets is a Python 3 wavelet transforms module that can do:

  * 1D and 2D Forward and Inverse Discrete Wavelet Transform (DWT and IDWT)
  * 1D and 2D Stationary Wavelet Transform (Undecimated Wavelet Transform)
  * 1D and 2D Wavelet Packet decomposition and reconstruction
  * Computing Approximations of wavelet and scaling functions
  * Over seventy built-in wavelet filters and support for custom wavelets
  * Single and double precision calculations
  * Results compatibility with Matlab Wavelet Toolbox

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# fix shebangs
%py3_shebang_fix $(find . -name "*.py")

%generate_buildrequires
%pyproject_buildrequires -w

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pywt

%if %{with docs}
# Create docs. These need the package to already be built and installed
PYTHONPATH="$PYTHONPATH:%{buildroot}%{python3_sitearch}" \
make -C doc SPHINXBUILD=sphinx-build-3 html

# Remove hiden files
find doc/build/html -name '.*' -delete
%endif

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc demo/
%if %{with docs}
%doc doc/build/html
%endif
%license LICENSE


%changelog
* Sun Jan 12 2025 daviddavid <daviddavid> 1.8.0-1.mga10
+ Revision: 2138302
- new version: 1.8.0

* Fri Sep 27 2024 daviddavid <daviddavid> 1.5.0-3.mga10
+ Revision: 2101509
- rebuild against numpy 2

* Sun Feb 25 2024 wally <wally> 1.5.0-2.mga10
+ Revision: 2044250
- fix linking
- drop separate doc pkg
- clean .spec a bit

* Sat Feb 24 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2043801
- new version: 1.5.0
- new version: 1.4.1
- switch to pyproject

* Wed Apr 06 2022 umeabot <umeabot> 1.2.0-2.mga9
+ Revision: 1846175
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 1.2.0-1.mga9
+ Revision: 1778311
- version 1.2.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.1.1-1.mga9
+ Revision: 1707469
- new version: 1.1.1
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.3-2.mga8
+ Revision: 1532269
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 1.0.3-1.mga8
+ Revision: 1442304
- new version: 1.0.3
- rebuild for python3.8
- drop python2 support

* Sat Jan 12 2019 daviddavid <daviddavid> 1.0.1-2.mga7
+ Revision: 1355488
- build Py3 Wavelet documentation

* Sat Jan 12 2019 shlomif <shlomif> 1.0.1-1.mga7
+ Revision: 1355469
- pyp2rpm ; needed by new scikit-image

